package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSServerPacket;

@ObfuscatedName("lu")
public class ServerPacket implements RSServerPacket {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket NPC_INFO_LARGE;
   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CAM_LOOKAT;
   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket PLAYER_INFO;
   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETSCROLLPOS;
   @ObfuscatedName("ab")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket VARP_LARGE;
   @ObfuscatedName("au")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MAP_PROJANIM;
   @ObfuscatedName("aa")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_MOVESUB;
   @ObfuscatedName("ac")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MAP_ANIM;
   @ObfuscatedName("al")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CAM_SMOOTH_RESET;
   @ObfuscatedName("az")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETANGLE;
   @ObfuscatedName("ap")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETTEXT;
   @ObfuscatedName("av")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket NPC_HEADICON_SPECIFIC;
   @ObfuscatedName("ax")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket LOC_DEL;
   @ObfuscatedName("as")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket RUNCLIENTSCRIPT;
   @ObfuscatedName("ay")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_REBOOT_TIMER;
   @ObfuscatedName("ak")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket NPC_ANIM_SPECIFIC;
   @ObfuscatedName("aj")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket HEATMAP_TOGGLE;
   @ObfuscatedName("am")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MESSAGE_FRIENDCHANNEL;
   @ObfuscatedName("aq")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CHAT_FILTER_SETTINGS;
   @ObfuscatedName("ai")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETPLAYERHEAD;
   @ObfuscatedName("aw")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETPLAYERMODEL_OBJ;
   @ObfuscatedName("ae")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket PLAYER_ANIM_SPECIFIC;
   @ObfuscatedName("an")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket PROJANIM_SPECIFIC_OLD;
   @ObfuscatedName("ag")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CAM_MOVETO_EASED_CIRCULAR;
   @ObfuscatedName("ad")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MESSAGE_PRIVATE_ECHO;
   @ObfuscatedName("af")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETPLAYERMODEL_SELF;
   @ObfuscatedName("be")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_INITIALSTATE;
   @ObfuscatedName("bd")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket VARP_SMALL;
   @ObfuscatedName("bl")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETANIM;
   @ObfuscatedName("bi")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket HINT_ARROW;
   @ObfuscatedName("bv")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CHAT_FILTER_SETTINGS_PRIVATECHAT;
   @ObfuscatedName("bf")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_STOCKMARKET_SLOT;
   @ObfuscatedName("bg")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket field3280;
   @ObfuscatedName("ba")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETNPCHEAD_ACTIVE;
   @ObfuscatedName("bm")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_CLOSESUB;
   @ObfuscatedName("bp")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MESSAGE_CLANCHANNEL_SYSTEM;
   @ObfuscatedName("bw")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MIDI_JINGLE;
   @ObfuscatedName("bj")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket OBJ_DEL;
   @ObfuscatedName("bn")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_INV_PARTIAL;
   @ObfuscatedName("bo")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket OBJ_ADD;
   @ObfuscatedName("bt")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket OBJ_OPFILTER;
   @ObfuscatedName("bu")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETMODEL;
   @ObfuscatedName("by")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MINIMAP_TOGGLE;
   @ObfuscatedName("bh")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket LOC_MERGEPLAYER;
   @ObfuscatedName("bz")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CAM_RESET;
   @ObfuscatedName("bc")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CAM_MOVETO_EASED;
   @ObfuscatedName("bs")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket SOUND_AREA;
   @ObfuscatedName("bx")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_OPENSUB;
   @ObfuscatedName("bb")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETPOSITION;
   @ObfuscatedName("bk")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_INV_FULL;
   @ObfuscatedName("br")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETROTATESPEED;
   @ObfuscatedName("bq")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_CLEARINV;
   @ObfuscatedName("cf")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket LOC_ANIM;
   @ObfuscatedName("cg")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket LOC_ADD_CHANGE;
   @ObfuscatedName("cv")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   static final ServerPacket field3302;
   @ObfuscatedName("cx")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CAM_LOOKAT_EASED_ANGLE_RELATIVE;
   @ObfuscatedName("cp")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket RESET_ANIMS;
   @ObfuscatedName("ce")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CLANCHANNEL_FULL;
   @ObfuscatedName("ci")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_STAT_OLD;
   @ObfuscatedName("ct")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket VARP_SYNC;
   @ObfuscatedName("cw")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MESSAGE_GAME;
   @ObfuscatedName("cq")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket VARP_RESET;
   @ObfuscatedName("cl")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket LOGOUT_WITHREASON;
   @ObfuscatedName("cs")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_FRIENDLIST;
   @ObfuscatedName("co")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket SEND_PING;
   @ObfuscatedName("cm")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CLANSETTINGS_FULL;
   @ObfuscatedName("cn")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETHIDE;
   @ObfuscatedName("cr")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CAM_SHAKE;
   @ObfuscatedName("cj")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MIDI_SONG_WITHSECONDARY;
   @ObfuscatedName("ca")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CAM_LOOKAT_EASED_COORD;
   @ObfuscatedName("cc")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CAM_MOVETO;
   @ObfuscatedName("cu")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket VARCLAN;
   @ObfuscatedName("ch")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MESSAGE_PRIVATE;
   @ObfuscatedName("cb")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_SITESETTINGS;
   @ObfuscatedName("cz")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CLANCHANNEL_DELTA;
   @ObfuscatedName("cy")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MIDI_SONG_STOP;
   @ObfuscatedName("ck")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_UID192;
   @ObfuscatedName("cd")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MAP_PROJANIM_OLD;
   @ObfuscatedName("dt")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_ZONE_FULL_FOLLOWS;
   @ObfuscatedName("di")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MIDI_SONG_OLD;
   @ObfuscatedName("dk")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CLANSETTINGS_DELTA;
   @ObfuscatedName("dd")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket NPC_SPOTANIM_SPECIFIC;
   @ObfuscatedName("dx")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETPLAYERMODEL_BODYTYPE;
   @ObfuscatedName("dh")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_FRIENDCHAT_CHANNEL_FULL_V1;
   @ObfuscatedName("du")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_TRADINGPOST;
   @ObfuscatedName("dg")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket PROJANIM_SPECIFIC;
   @ObfuscatedName("dc")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_ZONE_PARTIAL_ENCLOSED;
   @ObfuscatedName("do")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_ZONE_PARTIAL_FOLLOWS;
   @ObfuscatedName("db")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket VARCLAN_ENABLE;
   @ObfuscatedName("dm")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket PLAYER_SPOTANIM_SPECIFIC;
   @ObfuscatedName("dr")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_INV_STOPTRANSMIT;
   @ObfuscatedName("ds")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket FRIENDLIST_LOADED;
   @ObfuscatedName("da")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MAP_PROJANIM_OLD_OLD;
   @ObfuscatedName("dw")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket REBUILD_NORMAL;
   @ObfuscatedName("dp")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket OBJ_COUNT;
   @ObfuscatedName("df")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CAM_UNKNOWN;
   @ObfuscatedName("dv")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETPLAYERMODEL_BASECOLOUR;
   @ObfuscatedName("dz")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket SYNTH_SOUND;
   @ObfuscatedName("dl")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket LOGOUT_TRANSFER;
   @ObfuscatedName("de")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket LOGOUT;
   @ObfuscatedName("dn")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CAM_MODE;
   @ObfuscatedName("dq")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MAP_ANIM_SPECIFIC;
   @ObfuscatedName("dj")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETOBJECT;
   @ObfuscatedName("dy")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket TRIGGER_ONDIALOGABORT;
   @ObfuscatedName("ec")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket SET_PLAYER_OP;
   @ObfuscatedName("ew")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MESSAGE_CLANCHANNEL;
   @ObfuscatedName("ex")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket CAM_LOOKAT_EASED_ANGLE_ABSOLUTE;
   @ObfuscatedName("ev")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket NPC_INFO_SMALL;
   @ObfuscatedName("ek")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETNPCHEAD;
   @ObfuscatedName("em")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_IGNORELIST;
   @ObfuscatedName("eo")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_FRIENDCHAT_CHANNEL_SINGLEUSER;
   @ObfuscatedName("ef")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETEVENTS;
   @ObfuscatedName("el")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket URL_OPEN;
   @ObfuscatedName("es")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MIDI_SONG;
   @ObfuscatedName("ea")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket LOC_ANIM_SPECIFIC;
   @ObfuscatedName("en")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_OPENTOP;
   @ObfuscatedName("eh")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket SERVER_TICK_END;
   @ObfuscatedName("ei")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket REBUILD_NORMAL_OLD;
   @ObfuscatedName("et")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_RUNENERGY;
   @ObfuscatedName("er")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_RUNWEIGHT;
   @ObfuscatedName("ez")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket MIDI_SWAP;
   @ObfuscatedName("eu")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket REBUILD_REGION;
   @ObfuscatedName("eg")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket IF_SETCOLOUR;
   @ObfuscatedName("ey")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_FRIENDCHAT_CHANNEL_FULL_V2;
   @ObfuscatedName("eb")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket SET_MAP_FLAG;
   @ObfuscatedName("ed")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket UPDATE_STAT;
   @ObfuscatedName("eq")
   @ObfuscatedSignature(
      descriptor = "Llu;"
   )
   public static final ServerPacket REFLECTION_CHECKER;
   @ObfuscatedName("ee")
   @ObfuscatedGetter(
      intValue = 1979699673
   )
   public final int id;
   @ObfuscatedName("ej")
   @ObfuscatedGetter(
      intValue = -2127206281
   )
   public final int length;

   static {
      NPC_INFO_LARGE = new ServerPacket(0, -2);
      CAM_LOOKAT = new ServerPacket(1, 6);
      PLAYER_INFO = new ServerPacket(2, -2);
      IF_SETSCROLLPOS = new ServerPacket(3, 6);
      VARP_LARGE = new ServerPacket(4, 6);
      MAP_PROJANIM = new ServerPacket(5, 20);
      IF_MOVESUB = new ServerPacket(6, 8);
      MAP_ANIM = new ServerPacket(7, 6);
      CAM_SMOOTH_RESET = new ServerPacket(8, 4);
      IF_SETANGLE = new ServerPacket(9, 10);
      IF_SETTEXT = new ServerPacket(10, -2);
      NPC_HEADICON_SPECIFIC = new ServerPacket(11, 9);
      LOC_DEL = new ServerPacket(12, 2);
      RUNCLIENTSCRIPT = new ServerPacket(13, -2);
      UPDATE_REBOOT_TIMER = new ServerPacket(14, 2);
      NPC_ANIM_SPECIFIC = new ServerPacket(15, 5);
      HEATMAP_TOGGLE = new ServerPacket(16, 1);
      MESSAGE_FRIENDCHANNEL = new ServerPacket(17, -1);
      CHAT_FILTER_SETTINGS = new ServerPacket(18, 2);
      IF_SETPLAYERHEAD = new ServerPacket(19, 4);
      IF_SETPLAYERMODEL_OBJ = new ServerPacket(20, 8);
      PLAYER_ANIM_SPECIFIC = new ServerPacket(21, 3);
      PROJANIM_SPECIFIC_OLD = new ServerPacket(22, 19);
      CAM_MOVETO_EASED_CIRCULAR = new ServerPacket(23, 10);
      MESSAGE_PRIVATE_ECHO = new ServerPacket(24, -2);
      IF_SETPLAYERMODEL_SELF = new ServerPacket(25, 5);
      IF_INITIALSTATE = new ServerPacket(26, -2);
      VARP_SMALL = new ServerPacket(27, 3);
      IF_SETANIM = new ServerPacket(28, 6);
      HINT_ARROW = new ServerPacket(29, 6);
      CHAT_FILTER_SETTINGS_PRIVATECHAT = new ServerPacket(30, 1);
      UPDATE_STOCKMARKET_SLOT = new ServerPacket(31, 20);
      field3280 = new ServerPacket(32, 0);
      IF_SETNPCHEAD_ACTIVE = new ServerPacket(33, 6);
      IF_CLOSESUB = new ServerPacket(34, 4);
      MESSAGE_CLANCHANNEL_SYSTEM = new ServerPacket(35, -1);
      MIDI_JINGLE = new ServerPacket(36, 5);
      OBJ_DEL = new ServerPacket(37, 7);
      UPDATE_INV_PARTIAL = new ServerPacket(38, -2);
      OBJ_ADD = new ServerPacket(39, 14);
      OBJ_OPFILTER = new ServerPacket(40, 4);
      IF_SETMODEL = new ServerPacket(41, 6);
      MINIMAP_TOGGLE = new ServerPacket(42, 1);
      LOC_MERGEPLAYER = new ServerPacket(43, 14);
      CAM_RESET = new ServerPacket(44, 0);
      CAM_MOVETO_EASED = new ServerPacket(45, 8);
      SOUND_AREA = new ServerPacket(46, 5);
      IF_OPENSUB = new ServerPacket(47, 7);
      IF_SETPOSITION = new ServerPacket(48, 8);
      UPDATE_INV_FULL = new ServerPacket(49, -2);
      IF_SETROTATESPEED = new ServerPacket(50, 8);
      IF_CLEARINV = new ServerPacket(51, 4);
      LOC_ANIM = new ServerPacket(52, 4);
      LOC_ADD_CHANGE = new ServerPacket(53, 5);
      field3302 = new ServerPacket(54, -2);
      CAM_LOOKAT_EASED_ANGLE_RELATIVE = new ServerPacket(55, 7);
      RESET_ANIMS = new ServerPacket(56, 0);
      CLANCHANNEL_FULL = new ServerPacket(57, -2);
      UPDATE_STAT_OLD = new ServerPacket(58, 6);
      VARP_SYNC = new ServerPacket(59, 0);
      MESSAGE_GAME = new ServerPacket(60, -1);
      VARP_RESET = new ServerPacket(61, 0);
      LOGOUT_WITHREASON = new ServerPacket(62, 1);
      UPDATE_FRIENDLIST = new ServerPacket(63, -2);
      SEND_PING = new ServerPacket(64, 8);
      CLANSETTINGS_FULL = new ServerPacket(65, -2);
      IF_SETHIDE = new ServerPacket(66, 5);
      CAM_SHAKE = new ServerPacket(67, 4);
      MIDI_SONG_WITHSECONDARY = new ServerPacket(68, 12);
      CAM_LOOKAT_EASED_COORD = new ServerPacket(69, 7);
      CAM_MOVETO = new ServerPacket(70, 6);
      VARCLAN = new ServerPacket(71, -1);
      MESSAGE_PRIVATE = new ServerPacket(72, -2);
      UPDATE_SITESETTINGS = new ServerPacket(73, -1);
      CLANCHANNEL_DELTA = new ServerPacket(74, -2);
      MIDI_SONG_STOP = new ServerPacket(75, 4);
      UPDATE_UID192 = new ServerPacket(76, 28);
      MAP_PROJANIM_OLD = new ServerPacket(77, 19);
      UPDATE_ZONE_FULL_FOLLOWS = new ServerPacket(78, 2);
      MIDI_SONG_OLD = new ServerPacket(79, 2);
      CLANSETTINGS_DELTA = new ServerPacket(80, -2);
      NPC_SPOTANIM_SPECIFIC = new ServerPacket(81, 9);
      IF_SETPLAYERMODEL_BODYTYPE = new ServerPacket(82, 5);
      UPDATE_FRIENDCHAT_CHANNEL_FULL_V1 = new ServerPacket(83, -2);
      UPDATE_TRADINGPOST = new ServerPacket(84, -2);
      PROJANIM_SPECIFIC = new ServerPacket(85, 17);
      UPDATE_ZONE_PARTIAL_ENCLOSED = new ServerPacket(86, -2);
      UPDATE_ZONE_PARTIAL_FOLLOWS = new ServerPacket(87, 2);
      VARCLAN_ENABLE = new ServerPacket(88, 0);
      PLAYER_SPOTANIM_SPECIFIC = new ServerPacket(89, 9);
      UPDATE_INV_STOPTRANSMIT = new ServerPacket(90, 2);
      FRIENDLIST_LOADED = new ServerPacket(91, 0);
      MAP_PROJANIM_OLD_OLD = new ServerPacket(92, 16);
      REBUILD_NORMAL = new ServerPacket(93, -2);
      OBJ_COUNT = new ServerPacket(94, 11);
      CAM_UNKNOWN = new ServerPacket(95, 4);
      IF_SETPLAYERMODEL_BASECOLOUR = new ServerPacket(96, 6);
      SYNTH_SOUND = new ServerPacket(97, 5);
      LOGOUT_TRANSFER = new ServerPacket(98, -1);
      LOGOUT = new ServerPacket(99, 0);
      CAM_MODE = new ServerPacket(100, 1);
      MAP_ANIM_SPECIFIC = new ServerPacket(101, 8);
      IF_SETOBJECT = new ServerPacket(102, 10);
      TRIGGER_ONDIALOGABORT = new ServerPacket(103, 0);
      SET_PLAYER_OP = new ServerPacket(104, -1);
      MESSAGE_CLANCHANNEL = new ServerPacket(105, -1);
      CAM_LOOKAT_EASED_ANGLE_ABSOLUTE = new ServerPacket(106, 7);
      NPC_INFO_SMALL = new ServerPacket(107, -2);
      IF_SETNPCHEAD = new ServerPacket(108, 6);
      UPDATE_IGNORELIST = new ServerPacket(109, -2);
      UPDATE_FRIENDCHAT_CHANNEL_SINGLEUSER = new ServerPacket(110, -1);
      IF_SETEVENTS = new ServerPacket(111, 12);
      URL_OPEN = new ServerPacket(112, -2);
      MIDI_SONG = new ServerPacket(113, 10);
      LOC_ANIM_SPECIFIC = new ServerPacket(114, 6);
      IF_OPENTOP = new ServerPacket(115, 2);
      SERVER_TICK_END = new ServerPacket(116, 0);
      REBUILD_NORMAL_OLD = new ServerPacket(117, -2);
      UPDATE_RUNENERGY = new ServerPacket(118, 2);
      UPDATE_RUNWEIGHT = new ServerPacket(119, 2);
      MIDI_SWAP = new ServerPacket(120, 8);
      REBUILD_REGION = new ServerPacket(121, -2);
      IF_SETCOLOUR = new ServerPacket(122, 6);
      UPDATE_FRIENDCHAT_CHANNEL_FULL_V2 = new ServerPacket(123, -2);
      SET_MAP_FLAG = new ServerPacket(124, 2);
      UPDATE_STAT = new ServerPacket(125, 7);
      REFLECTION_CHECKER = new ServerPacket(126, -2);
   }

   ServerPacket(int var1, int var2) {
      this.id = var1;
      this.length = var2;
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(II)V",
      garbageValue = "128950429"
   )
   static void method5933_base(int var0) {
      class462.field4771 = var0;
      class462.field4770 = new class462[var0];
      DirectByteArrayCopier.field3822 = 0;
   }

   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "(IZI)[B",
      garbageValue = "-2070270076"
   )
   public static byte[] ByteArrayPool_getArrayBool_base(int var0, boolean var1) {
      Object var2 = ByteArrayPool.field4577;
      synchronized(ByteArrayPool.field4577) {
         byte[] var10000;
         byte[] var3;
         if((var0 == 100 || var0 < 100 && var1) && ByteArrayPool.ByteArrayPool_smallCount > 0) {
            var3 = ByteArrayPool.ByteArrayPool_small[--ByteArrayPool.ByteArrayPool_smallCount];
            ByteArrayPool.ByteArrayPool_small[ByteArrayPool.ByteArrayPool_smallCount] = null;
            var10000 = var3;
            return var10000;
         } else if((var0 == 5000 || var0 < 5000 && var1) && ByteArrayPool.ByteArrayPool_mediumCount > 0) {
            var3 = ByteArrayPool.ByteArrayPool_medium[--ByteArrayPool.ByteArrayPool_mediumCount];
            ByteArrayPool.ByteArrayPool_medium[ByteArrayPool.ByteArrayPool_mediumCount] = null;
            var10000 = var3;
            return var10000;
         } else if((var0 == 10000 || var0 < 10000 && var1) && ByteArrayPool.ByteArrayPool_largeCount > 0) {
            var3 = ByteArrayPool.ByteArrayPool_large[--ByteArrayPool.ByteArrayPool_largeCount];
            ByteArrayPool.ByteArrayPool_large[ByteArrayPool.ByteArrayPool_largeCount] = null;
            var10000 = var3;
            return var10000;
         } else if((var0 == 30000 || var0 < 30000 && var1) && ByteArrayPool.field4573 > 0) {
            var3 = ByteArrayPool.field4589[--ByteArrayPool.field4573];
            ByteArrayPool.field4589[ByteArrayPool.field4573] = null;
            var10000 = var3;
            return var10000;
         } else {
            int var6;
            if(class1.ByteArrayPool_arrays != null) {
               for(var6 = 0; var6 < Clock.ByteArrayPool_alternativeSizes.length; ++var6) {
                  if((Clock.ByteArrayPool_alternativeSizes[var6] == var0 || var0 < Clock.ByteArrayPool_alternativeSizes[var6] && var1) && class267.ByteArrayPool_altSizeArrayCounts[var6] > 0) {
                     byte[] var4 = class1.ByteArrayPool_arrays[var6][--class267.ByteArrayPool_altSizeArrayCounts[var6]];
                     class1.ByteArrayPool_arrays[var6][class267.ByteArrayPool_altSizeArrayCounts[var6]] = null;
                     var10000 = var4;
                     return var10000;
                  }
               }
            }

            if(var1 && Clock.ByteArrayPool_alternativeSizes != null) {
               for(var6 = 0; var6 < Clock.ByteArrayPool_alternativeSizes.length; ++var6) {
                  if(var0 <= Clock.ByteArrayPool_alternativeSizes[var6] && class267.ByteArrayPool_altSizeArrayCounts[var6] < class1.ByteArrayPool_arrays[var6].length) {
                     var10000 = new byte[Clock.ByteArrayPool_alternativeSizes[var6]];
                     return var10000;
                  }
               }
            }

            return new byte[var0];
         }
      }
   }
}
